set terminal epslatex standalone color size 16cm, 8cm
set output "fka.tex"

set samples 1000

j={0,1}

set logscale x
set xrange [1e-3:1e3]
set xtics (1e-3, 1e-2, 1e-1, 1, 10, 100, 1000)

set yrange [-140:20]
set ytics 20 nomirror out
set y2range [-270:90]
set y2tics 45 nomirror out

set xlabel "$\\omega/\\omega_P$"
set ylabel "$a(\\omega/\\omega_P) \\mbox{  [dB]}$"
set y2label "$\\varphi(\\omega/\\omega_P) \\mbox{  [deg]}$"

set grid

plot 20*log10(abs(1/(1+(j*x)**2 + 3*j*x))) axes x1y1 \
                 linetype 1 linewidth 4 linecolor rgb "red" title "$a(\\omega/\\omega_P)$", \
     180/pi*arg(1/(1+(j*x)**2 + 3*j*x)) axes x1y2 \
                 linetype 1 linewidth 4 linecolor rgb "blue" title "$\\varphi(\\omega/\\omega_P)$"

